Update a campaign
Changes settings, mode, or status. Sending `steps` creates a new sequence version; running enrollments keep the version they started on.
Changes settings, mode, or status. Sending steps creates a new sequence version; running enrollments keep the version they started on.
Authorization
bearerAuth A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "name": "string", "status": "proposed", "mode": "review", "goal": "string", "brief": "string", "country_code": "string", "persona_keys": [ "string" ], "product_keys": [ "string" ], "min_score": 0, "mailbox_id": "4d23d1af-2eef-4598-a5e0-1f19ae0b0c14", "proposed_by": "user", "opportunity_id": "5c7fee95-8917-4b3c-8649-bbbc4ef0c4f7", "suggested_contact_ids": [ "463ce150-95b0-4089-a880-789a685d781b" ], "rationale": "string", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "sequence_id": "7cd84c09-94f4-486c-9c49-de3b9cf3f74f", "steps": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence_id": "7cd84c09-94f4-486c-9c49-de3b9cf3f74f", "position": 0, "channel": "email", "delay_days": 0, "instructions": "string" } ], "enrollment_counts": { "property1": 0, "property2": 0 }}